Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.commands
Class TaskContext

    java.lang.Object
      org.jbpm.task.commands.TaskContext

All Implemented Interfaces:
  org.kie.command.Context

    public class TaskContext

extends Object
implements org.kie.command.Context

Constructor Summary
`TaskContext()`

Method Summary
`Object` | `get(String string)`
`org.kie.command.World` | `getContextManager()`
`javax.persistence.EntityManager` | `getEm()`
`TaskLifeCycleEventListener` | `getEventListener()`
`String` | `getName()`
`TaskContentService` | `getTaskContentService()`
`TaskDefService` | `getTaskDefService()`
`javax.enterprise.event.Event<Task>` | `getTaskEvents()`
`TaskIdentityService` | `getTaskIdentityService()`
`TaskQueryService` | `getTaskQueryService()`
`UserGroupCallback` | `getUserGroupCallback()`
`void` | `remove(String string)`
`void` | `set(String string, Object o)`
`void` | `setEm(javax.persistence.EntityManager em)`
`void` | `setEventListener(TaskLifeCycleEventListener eventListener)`
`void` | `setTaskContentService(TaskContentService taskContentService)`
`void` | `setTaskDefService(TaskDefService taskDefService)`
`void` | `setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)`
`void` | `setTaskIdentityService(TaskIdentityService taskIdentityService)`
`void` | `setTaskQueryService(TaskQueryService taskQueryService)`
`void` | `setUserGroupCallback(UserGroupCallback userGroupCallback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContext

    public TaskContext()

Method Detail

### getEm

    public javax.persistence.EntityManager getEm()

### setEm

    public void setEm(javax.persistence.EntityManager em)

### getTaskDefService

    public TaskDefService getTaskDefService()

### setTaskDefService

    public void setTaskDefService(TaskDefService taskDefService)

### getTaskQueryService

    public TaskQueryService getTaskQueryService()

### getTaskContentService

    public TaskContentService getTaskContentService()

### setTaskContentService

    public void setTaskContentService(TaskContentService taskContentService)

### setTaskQueryService

    public void setTaskQueryService(TaskQueryService taskQueryService)

### getTaskIdentityService

    public TaskIdentityService getTaskIdentityService()

### setTaskIdentityService

    public void setTaskIdentityService(TaskIdentityService taskIdentityService)

### getTaskEvents

    public javax.enterprise.event.Event<Task> getTaskEvents()

### setTaskEvents

    public void setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)

### getEventListener

    public TaskLifeCycleEventListener getEventListener()

### getUserGroupCallback

    public UserGroupCallback getUserGroupCallback()

### setUserGroupCallback

    public void setUserGroupCallback(UserGroupCallback userGroupCallback)

### setEventListener

    public void setEventListener(TaskLifeCycleEventListener eventListener)

### getContextManager

    public org.kie.command.World getContextManager()

  Specified by:
    `getContextManager` in interface `org.kie.command.Context`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.command.Context`

### get

    public Object get(String string)

  Specified by:
    `get` in interface `org.kie.command.Context`

### set

    public void set(String string,
                    Object o)

  Specified by:
    `set` in interface `org.kie.command.Context`

### remove

    public void remove(String string)

  Specified by:
    `remove` in interface `org.kie.command.Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.